summaryrefslogtreecommitdiff
path: root/redis.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-01 14:03:51 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-01 14:03:51 +0200
commitde9c1794db7419da642398ac41975a282ca92dd1 (patch)
tree68d1306fe506559eb44b103ec88e86ab357fcd33 /redis.sh
parent0b0dafd700dce8ab635038dac68255be1897eb04 (diff)
all
Diffstat (limited to 'redis.sh')
-rwxr-xr-xredis.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/redis.sh b/redis.sh
index f8ba1d0..6d94029 100755
--- a/redis.sh
+++ b/redis.sh
@@ -45,8 +45,10 @@ if ! $REDIS_DONE; then
cd $PREFIX
URI="http://redis.googlecode.com/files/redis-$REDIS_VER.tar.gz"
- cmd="$WGET $URI" && run_cmd "$cmd" "Download"
- cmd="tar zxf redis-$REDIS_VER.tar.gz" && run_cmd "$cmd" "Unpack"
+ if ! [ -d "redis-$REDIS_VER" ]; then
+ cmd="$WGET $URI" && run_cmd "$cmd" "Download"
+ cmd="tar zxf redis-$REDIS_VER.tar.gz" && run_cmd "$cmd" "Unpack"
+ fi
cd redis-$REDIS_VER >>$LOG 2>&1
cmd="make" && run_cmd "$cmd" "Make"